<div class="container">
  <div>
    <mat-card>
      <mat-card-title>{{ event.name }}</mat-card-title>
      <mat-card-content>
        <table>
          <tr>
            <td>
              <img [src]="image" height="150">
            </td>
            <td valign="top">
              <p>{{ event.description }}</p>
            </td>
          </tr>
        </table>
      </mat-card-content>
    </mat-card>
  </div>
  <div>
    <h4 class="margin">Tickets:</h4>
    <div class="margin-bigger" *ngFor="let se of allSingleEvents">
      <div *ngIf="containsTicketForSingleEvent(se)">
        <h5>{{se.name}}</h5>
        <table border="1px" class="stretch">
          <tr>
            <th>
              Row
            </th>
            <th>
              Seat
            </th>
            <th>
              Price
            </th>
          </tr>
          <ng-container *ngFor="let ticket of tickets">
            <tr *ngIf="ticket.singleEventId === se.id">
              <td>
                {{ticket.row === null ? '/' : ticket.row}}
              </td>

              <td>
                {{ticket.row === null ? '/' : ticket.seat}}
              </td>

              <td>
                {{ticket.price || '0'}}
              </td>
            </tr>
          </ng-container>
        </table>
      </div>
    </div>
  </div>
  <div class="center">
    <h5>Total price: {{totalPrice}}$</h5>
    <button mat-button id="pay-now-button" (click)="payNow()">Pay Now!</button>
    <button mat-button id="make-reservation-button" (click)="confirmReservation()">Make Reservation</button>
    <button mat-button id="cancel-button" (click)="cancelReservation()">Cancel</button>
  </div>
</div>
